GDB (xrefs)

Macros | Functions | Variables
/tmp/gdb-8.1/gdb/demangle.c File Reference
`#include "defs.h"`
`#include "cli/cli-utils.h"`
`#include "command.h"`
`#include "gdbcmd.h"`
`#include "demangle.h"`
`#include "gdb-demangle.h"`
`#include "language.h"`

Go to the source code of this file.

## Macros
#define | DEFAULT_DEMANGLING_STYLE AUTO_DEMANGLING_STYLE_STRING

## Functions
static void | show_demangle (struct ui_file *file, int from_tty, struct cmd_list_element *c, const char *value)
static void | show_asm_demangle (struct ui_file *file, int from_tty, struct cmd_list_element *c, const char *value)
static void | show_demangling_style_names (struct ui_file *file, int from_tty, struct cmd_list_element *c, const char *value)
static void | set_demangling_command (const char *ignore, int from_tty, struct cmd_list_element *c)
int | is_cplus_marker (int c)
static void | demangle_command (const char *args, int from_tty)
void | _initialize_demangler (void)

## Variables
int | demangle = 1
int | asm_demangle = 0
static const char * | current_demangling_style_string
static const char ** | demangling_style_names
static char | cplus_markers [] = {'$', '.', '\0'}

## Macro Definition Documentation

## ◆ DEFAULT_DEMANGLING_STYLE

#define DEFAULT_DEMANGLING_STYLE AUTO_DEMANGLING_STYLE_STRING

Definition at line 43 of file demangle.c.

Referenced by _initialize_demangler().

## Function Documentation

## ◆ _initialize_demangler()

void _initialize_demangler | ( | void |  | ) |

Definition at line 220 of file demangle.c.

References _, add_cmd(), add_setshow_boolean_cmd(), add_setshow_enum_cmd(), asm_demangle, class_support, cmdlist, current_demangling_style_string, DEFAULT_DEMANGLING_STYLE, demangle, demangle_command(), demangling_style_names, set_demangling_command(), setlist, setprintlist, show_asm_demangle(), show_demangle(), show_demangling_style_names(), showlist, showprintlist, and XCNEWVEC.

## ◆ demangle_command()

static void demangle_command | ( | const char * | args,
|  | int | from_tty
| ) |  |
| static

Definition at line 161 of file demangle.c.

References _, current_language, error(), extract_arg(), language_def(), language_demangle(), language_enum(), language_unknown, name, printf_filtered(), skip_spaces(), skip_to_space(), string, and xfree().

Referenced by _initialize_demangler().

## ◆ is_cplus_marker()

int is_cplus_marker | ( | int | c | ) |

Definition at line 153 of file demangle.c.

References cplus_markers.

Referenced by define_symbol(), gnuv2_is_destructor_name(), gnuv2_is_vtable_name(), is_vtable_name(), parse_symbol(), pascal_type_print_base(), read_member_functions(), read_struct_fields(), read_tilde_fields(), and vb_match().

## ◆ set_demangling_command()

static void set_demangling_command | ( | const char * | ignore,
|  | int | from_tty,
|  | struct cmd_list_element * | c
| ) |  |
| static

Definition at line 107 of file demangle.c.

References current_demangling_style_string, demangling_style_names, and gdb_assert.

Referenced by _initialize_demangler().

## ◆ show_asm_demangle()

static void show_asm_demangle | ( | struct ui_file * | file,
|  | int | from_tty,
|  | struct cmd_list_element * | c,
|  | const char * | value
| ) |  |
| static

Definition at line 63 of file demangle.c.

References _, and fprintf_filtered().

Referenced by _initialize_demangler().

## ◆ show_demangle()

static void show_demangle | ( | struct ui_file * | file,
|  | int | from_tty,
|  | struct cmd_list_element * | c,
|  | const char * | value
| ) |  |
| static

Definition at line 50 of file demangle.c.

References _, and fprintf_filtered().

Referenced by _initialize_demangler().

## ◆ show_demangling_style_names()

static void show_demangling_style_names | ( | struct ui_file * | file,
|  | int | from_tty,
|  | struct cmd_list_element * | c,
|  | const char * | value
| ) |  |
| static

Definition at line 83 of file demangle.c.

References _, and fprintf_filtered().

Referenced by _initialize_demangler().

## Variable Documentation

## ◆ asm_demangle

int asm_demangle = 0

Definition at line 60 of file demangle.c.

Referenced by _initialize_demangler(), build_address_symbolic(), and print_address().

## ◆ cplus_markers

char cplus_markers[] = {'$', '.', '\0'}
| static

Definition at line 148 of file demangle.c.

Referenced by is_cplus_marker().

## ◆ current_demangling_style_string

const char* current_demangling_style_string
| static

Definition at line 76 of file demangle.c.

Referenced by _initialize_demangler(), and set_demangling_command().

## ◆ demangle

int demangle = 1

Definition at line 47 of file demangle.c.

Referenced by _initialize_demangler(), f_val_print(), fprintf_symbol_filtered(), generic_val_print_func(), gnuv3_print_method_ptr(), pascal_val_print(), print_breakpoint_location(), print_function_pointer_address(), print_unpacked_pointer(), and tui_get_function_from_frame().

## ◆ demangling_style_names

const char** demangling_style_names
| static

Definition at line 81 of file demangle.c.

Referenced by _initialize_demangler(), and set_demangling_command().